Package org.jboss.resteasy.core.messagebody

## Class ReaderUtility

- java.lang.Object
- - org.jboss.resteasy.core.messagebody.ReaderUtility

-     @Deprecated
      public abstract class ReaderUtility
      extends Object

  Deprecated.
  Utility for accessing RESTEasy's MessageBodyReader setup
  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReaderUtility()` | Deprecated.
    `ReaderUtility​(ResteasyProviderFactory factory, javax.ws.rs.ext.ReaderInterceptor[] interceptors)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract RuntimeException` | `createReaderNotFound​(Type genericType, javax.ws.rs.core.MediaType mediaType)` | Deprecated.
    `<T> T` | `doRead​(Class<T> type, Type genericType, javax.ws.rs.core.MediaType mediaType, Annotation[] annotations, javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders, InputStream inputStream)` | Deprecated.
    `<T> T` | `doRead​(Class<T> type, Type genericType, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders, InputStream is)` | Deprecated.
    `<T> T` | `doRead​(Class<T> type, javax.ws.rs.core.MediaType mediaType, InputStream is)` | Deprecated.
    `Object` | `doRead​(HttpRequest request, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` | Deprecated.
    `static <T> T` | `read​(Class<T> type, String contentType, byte[] buffer)` | Deprecated.
    `static <T> T` | `read​(Class<T> type, String contentType, String buffer)` | Deprecated.
    `static <T> T` | `read​(Class<T> type, javax.ws.rs.core.MediaType mediaType, byte[] buffer)` | Deprecated.
    `static <T> T` | `read​(Class<T> type, javax.ws.rs.core.MediaType mt, InputStream is)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderUtility

          public ReaderUtility()

      Deprecated.

    - #### ReaderUtility

          public ReaderUtility​(ResteasyProviderFactory factory,
                               javax.ws.rs.ext.ReaderInterceptor[] interceptors)

      Deprecated.

  - ### Method Detail

    - #### read

          public static <T> T read​(Class<T> type,
                                   String contentType,
                                   String buffer)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### read

          public static <T> T read​(Class<T> type,
                                   String contentType,
                                   byte[] buffer)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### read

          public static <T> T read​(Class<T> type,
                                   javax.ws.rs.core.MediaType mediaType,
                                   byte[] buffer)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### read

          public static <T> T read​(Class<T> type,
                                   javax.ws.rs.core.MediaType mt,
                                   InputStream is)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doRead

          public <T> T doRead​(Class<T> type,
                              javax.ws.rs.core.MediaType mediaType,
                              InputStream is)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doRead

          public <T> T doRead​(Class<T> type,
                              Type genericType,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders,
                              InputStream is)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doRead

          public Object doRead​(HttpRequest request,
                               Class type,
                               Type genericType,
                               Annotation[] annotations,
                               javax.ws.rs.core.MediaType mediaType)
                        throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doRead

          public <T> T doRead​(Class<T> type,
                              Type genericType,
                              javax.ws.rs.core.MediaType mediaType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders,
                              InputStream inputStream)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### createReaderNotFound

          public abstract RuntimeException createReaderNotFound​(Type genericType,
                                                                javax.ws.rs.core.MediaType mediaType)

      Deprecated.